package ecp.vcs.com.ecpsyncplugin.re_sync.utils;

import android.content.Context;
import android.net.ConnectivityManager;
import android.os.Environment;

/**
 * File Name    : Const
 * Description  : This Class for Define Hold Application Constant Variable.
 * Create By    : Value Chain Solution
 * Create At    : 30-05-2017.
 * Developed By : VCSDEV0114
 * Modified By  :
 * Feature      : This Class for Log Display in App Debug Mode Only.
 *
 * @author Value Chain Solution
 */
public class Const {

    public static final String ACTION_DEEP_LINK = "com.cpm.ACTION_CPM";
    public static String CONNECTED_SERVER = "CQA_IDN";

//    public static String BASE_URL = "";

    public static final String dont_show_receive = "dont_show_receive";
    public static final String dont_show_sellToretailer = "dont_show_sellToretailer";
    public static final String dont_show_receive_temp = "dont_show_receive_temp";
    public static final String dont_show_sellToretailer_temp = "dont_show_sellToretailer_temp";

    public static final String NOTIFICATION_COUNT = "NOTIFICATION_COUNT";
    public static final String RELEASE_NOTE_COUNT = "RELEASE_NOTE_COUNT";
    public static final String MILLIS_EPOCH = "MILLIS_EPOCH";

    public static final String CURRENT_POINTS = "CURRENT_POINTS";
    public static final String CUSTOMER_GEO_LEVEL4 = "customer_geo_level4";
    public static final String CUSTOMER_GEO_LEVEL5 = "customer_geo_level5";
    public static final String DEVICE_TOKEN = "DEVICE_TOKEN";
    public static final String DISPATCH_TYPE_DO = "DO";
    public static final String DISPATCH_TYPE_DO_STOCK_TRANSFER = "DO";
    public static final String KEY_USER_Name = "KEY_USER_Name";
    public static final String KEY_PASSWORD = "KEY_PASSWORD";
    public static final String KEY_USER_ID = "KEY_USER_ID";
    public static final String DISPLAY_NAME = "DISPLAY_NAME";
    public static final String ROLE_CODE = "ROLE_CODE";
    public static final String CUSTOMER_LEVEL = "CUSTOMER_LEVEL";
    public static final String CUSTOMER_GEO_LEVEL = "customer_geo_level";
    public static final String COUNTRY_LINK = "COUNTRY_LINK";
    public static final String COUNTRY_ID = "COUNTRY_ID";
    public static final String COUNTRY_ID_NEW = "COUNTRY_ID_NEW";
    public static final String REMEMBER_ME = "REMEMBER_ME";
    public static final String LOGOUT = "LOGOUT";
    public static final String downloded_apk_name = "downloded_apk_name";
    public static final String ISFROM = "ISFROM";
    public static final String LINK = "LINK";
    public static final String CFA_DISPATCH = "CFA_DISPATCH";
    public static final String CFA_DISPATCH_FOC = "CFA_DISPATCH_FOC";
    public static final String CFA_STOCK_TRANSFER = "CFA_STOCK_TRANSFER";
    public static final String CFA_DISPATCH_SCM = "CFA_DISPATCH_SCM";
    private static final String ECTERNAL_STORAGE_ROOT = "" + Environment
            .getExternalStorageDirectory();
    private static final String ECTERNAL_STORAGE_APP_ROOT = "" + ECTERNAL_STORAGE_ROOT + "/" +
            ".CPM_RE10pC10cP5e5316/vcs.ecubix.com.re_cpm";
    public static final String ECTERNAL_STORAGE_APP_LOG_FILE = "" + ECTERNAL_STORAGE_APP_ROOT +
            "/LOG";
    public static final String ISKYCDONE = "ISKYCDONE";
    public static final String COUNTRY_NAME = "COUNTRY_NAME";
    public static final String downloded_apk_complate = "downloded_apk_complate";
    public static final String is_set_new_base_url = "is_set_new_base_url";
    public static final String new_base_url = "new_base_url";
    public static final String set_new_base_url_code = "set_new_base_url_code";
    public static final String rememberme = "rememberme";
    public static final String did = "did";
    public static final String auth_key = "auth_key";
    public static final String HOTLINE_NUMBER = "varhotlinetext";
    public static final String RECEIVED = "RECEIVED";
    public static final String RECEIVE_BY_CONFIRM = "RECEIVE_BY_CONFIRM";
    public static final String RETURNED = "RETURNED";
    public static String IsRetRec = "IsRetRec";
    public static final String IntentDamage = "DAMAGE";
    public static final String IntentDispatch = "DISPATCH";
    public static final String IntentDispatchFOC = "DISPATCH_FOC";
    public static final String IntentReceive = "RECEIVE";
    public static final String IntentReturn = "RETURN";
    public static final String DISPATCH_SCAN_TYPE = "dispatch_scan_type";
    public static final String DISPATCH_SCAN_TYPE_NEW = "DISPATCH_SCAN_TYPE_NEW";
    public static final String DISPATCH_SCAN_TYPE_EMPLOYEE = "dispatch_scan_type";
    public static final String DIST_DISPATCH_MODEL_BASIC_SCAN = "DIST_DISPATCH_MODEL_BASIC_SCAN";
    public static final String DIST_DISPATCH_MODEL_BASIC_SCAN_IDS = "DIST_DISPATCH_MODEL_BASIC_SCAN_IDS";
    public static final String IS_FARMER = "IS_FARMER";

    public static final String KYC_URL = "KYC_URL";

//    public static boolean isNetwork(Context context) {
//        ConnectivityManager cm =
//                (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
//        return cm.getActiveNetworkInfo() != null &&
//                cm.getActiveNetworkInfo().isConnectedOrConnecting();
//    }

    /**
     * This Class for define hold web services url.
     */
    public static class WEB_SERVICES_URL {

        public static final String WS_SYNCHRONIZATION = "web_service/web_service_cpm/synchronization_android_cpm";
        public static final String WS_SYNCHRONIZATION_UPLOAD_FILE = "web_service/web_service_cpm/sync_upload_zip_cpm";
        public static final String WS_SYNCHRONIZATION_UPLOAD_FILE_ANDROID = "web_service/web_service_cpm/sync_upload_zip_android_cpm";
        public static final String WS_SYNCHRONIZATION_UPLOAD_FILE_ANDROID_CHECK_ONLINE = "web_service/web_service_cpm/invalid_sticker_upload_cpm";
        public static final String WS_SYNCHRONIZATION_ANDROID_CHECK_ONLINE = "web_service/web_service_cpm/invalid_sticker_details";
        public static final String WS_PUSH_NOTIFICATION = "web_service/web_service_cpm/notification_view";
        public static final String WS_UPDATE_SYNCDATETIME = "web_service/web_service_cpm/updateTollerTotalSyncLogData";
        public static final String WS_DELETECHECKONLINE_DATA = "web_service/web_service_cpm/DeleteCheckonlineData";
        public static final String WS_CP_CHECK_ONLINE = "web_service/web_service_cpm/CheckOnlineCP";
        public static final String EXTRA_STICKER_DETAIL = "web_service/web_service_cpm/mapExtraSticker";
        public static final String PROFILE_INFO = "web_service/web_service_cpm/get_profile_info";
        public static final String PROFILE_PHOTO_UPLOAD = "web_service/web_service_cpm/upload_profile_image";

        public static final String WS_SYNC_ERROR_UPLOAD_FILE_ANDROID = "web_service/web_service_cpm/Android_Error_Log";
        public static final String WS_UPLOAD_YELLOW_LABEL = "web_service/web_service_cpm/yellow_label_upload_cpm";
        public static final String WS_CHECK_YELLOW_LABEL_STICKER = "web_service/web_service_cpm/CheckYellowStickerLabelDetails";

        public static final String WS_UPLOAD_RETAILER_RETURN = "web_service/web_service_cpm/retailer_return_upload_cpm";
        public static final String WS_CHECK_RETAILER_RETURN = "web_service/web_service_cpm/RetailerReturnLabel";

        public static final String OTP_VERIFY = "web_service/web_service_cpm/VerifyOTP";
        public static final String SUBMITT_SUMMARY = "web_service/web_service_cpm/OnlineLabelCaptureSubmit";
        public static final String MAP_Pallet_EXTRA_STICKER_DETAIL = "web_service/web_service_cpm/mapPalletExtraSticker";

//        public static final String WS_UPLOAD_WH_DIST_RETURN = "web_service/web_service_cpm/distributor_return_upload_cpm";
//        public static final String WS_CHECK_WH_DIST_RETURN = "web_service/web_service_cpm/distributorReturnLabel";

        public static final String WS_UPLOAD_WH_DIST_RETURN = "web_service/web_service_cpm/returnFromDistributorUploadCPM";
        public static final String WS_CHECK_WH_DIST_RETURN = "web_service/web_service_cpm/returnFromDistributorLabel";
        public static final String WS_Dashboard = "web_service/web_service_cpm/DistRetEngagement";

//        public static final String WS_SYNCHRONIZATION_NEW = "web_service/web_service_cpm/synchronization_android_cpm_new";
        public static final String WS_SYNCHRONIZATION_NEW = "web_service/web_service_cpm/synchronization_android_cpm";
        public static final String WS_USER_CURRENT_POINTS = "web_service/web_service_cpm/getCurrentSchemePoints";
        public static final String WS_EMP_RECEIVE_SAMPLE = "web_service/web_service_cpm/getEmpReceivedSampleData";

    }

    /**
     * This class for define web services param.
     */
    public static class WEB_SERVICES_PARAM {

        public static final String KEY_USER_ID = "user_id";
        public static final String KEY_COUNTRY_ID = "country_id";
        public static final String KEY_JSON = "json";
        public static final String KEY_VERSION = "version";
        public static final String KEY_FILE_NAME = "filename";
        public static final String KEY_sync_date = "sync_date";
        public static final String date_folder = "date_folder";
        public static final String sync_log_id = "sync_log_id";
        public static final String sync_end_date = "total_sync_end_date";
        public static final String KEY_IMEI = "imei_no";
        public static final String KEY_VERSION_CODE = "version_code";
        public static final String KEY_SYNC_LOG_ID = "sync_log_id";
        public static final String KEY_SYNC_TYPE = "sync_type";
        public static final String KEY_FLAG = "flag";
        public static final String KEY_REQUEST_PARAM = "request_param";

        public static final String KEY_COLOR = "color_value";

        //        For Tracking
        public static final String system_code = "system_code";
        public static final String system_name = "system_name";
        public static final String sync_start_time = "sync_start_date_time";
        public static final String sync_end_time = "sync_start_end_time";
        public static final String jsonData = "json_data";
        public static final String syncDone = "sync_done";
        public static final String sync_message = "message";
        public static final String description = "description";
        public static final String msg_code = "msg_code";
        public static final String user_id = "user_id";
        public static final String version = "version";
        public static final String sync_log_id_track = "sync_log_id";
        public static final String autoSync = "autosync";
        public static final String autoSyncDay = "autosyncday";

    }

    /**
     * This class for define preference key name.
     */
    public static class SHARED_PREFERENCE_KEY {
        public static final String KEY_USER_PROFILE = "userProfile";
        public static final String KEY_REMEMBER_LOGIN = "loginRemember";
        public static final String KEY_IS_LOGIN = "isLogin";
    }

    public static final String KEY_INSIGHTS_USER_NAME = "KEY_INSIGHTS_USER_NAME";
    public static final String SEL_RETAILER = "SEL_RETAILER";
    public static final String SEL_RETAILER_NAME = "SEL_RETAILER_NAME";
    public static final String LANGUAGE_CODE = "en";
    public static final String LOGIN_ID = "LOGIN_ID";

    public static final String txtDONo = "txtDONo";
    public static final String txtDONoStockTransfer = "txtDONoStockTransfer";
    public static final String distributorDetailsID = "distributorDetailsID";
    public static final String wareHouseID = "wareHouseID";
    public static final String txtSAPId = "txtSAPId";
    public static final String txtSAPIdStockTransfer = "txtSAPIdStockTransfer";
    public static final String currentSelDate = "currentSelDate";
    public static final String currentSelDateStockTransfer = "currentSelDateStockTransfer";
    public static final String retailer_to_id = "retailer_to_id";
    public static final String retailer_type_countryid = "retailer_type_countryid";
    public static final String distributor_dispatch_date = "distributor_dispatch_date";

    public static final String strRetailerName = "strRetailerName";
    //
    public static final String readFilePath_dev = "readFilePath_dev";
    public static final String downloadFilePath = "downloadFilePath";
    public static final String dateUpload = "dateUpload";
    public static final String customer_from_id = "customer_from_id";
    public static final String srip_id = "srip_id";
    public static final String retailerWholeObject = "retailerWholeObject";
    public static final String cid = "cid";
    public static final String latitude = "latitude";
    public static final String longitude = "longitude";
    public static final String bussinescode = "bussinescode";
    public static final String DISPATCH_DETAILS = "DISPATCH_DETAILS";
    public static final String DISPATCH_DETAILS_SCM = "DISPATCH_DETAILS_SCM";
    public static final String DIST_DISPATCH_MODEL = "DIST_DISPATCH_MODEL";
    public static final String DIST_DISPATCH_BS_FIRST = "DIST_DISPATCH_BS_FIRST";
    public static final String DIST_DISPATCH_BS_LAST = "DIST_DISPATCH_BS_LAST";
    public static final String DISPATCH_DETAILS_FOC = "DISPATCH_DETAILS_FOC";

    public static String RET_DISPATCH_BS_FIRST = "RET_DISPATCH_BS_FIRST";
    public static String RET_DISPATCH_BS_LAST = "RET_DISPATCH_BS_LAST";

    public static final String STOCK_TRANSFER_DETAILS = "STOCK_TRANSFER_DETAILS";
    public static final String REMAINING_STOCK = "REMAINING_STOCK";
//    public final static String RETAILER_REGSITRATION = "retailerregistration";
//    public final static String RETAILER_REGSITRATION_ID = "retailerregistrationId";


//    public static final String CONNECTION_TYPE = "GAURAV";
//    public static final String CONNECTION_TYPE = "NIRAJ";
    //        public static final String CONNECTION_TYPE = "NIRAJ_NEW";
//        public static final String CONNECTION_TYPE = "DENIS
    public static final String CONNECTION_TYPE = "SAJAN";
//    public static final String CONNECTION_TYPE = "PRAMOD";
//    public static final String CONNECTION_TYPE = "KAUSHAL";
//    public static final String CONNECTION_TYPE = "MAYUR";
//    public static final String CONNECTION_TYPE = "NIRAJ";
//    public static final String CONNECTION_TYPE = "SAMARTH";
//    public static final String CONNECTION_TYPE = "RUCHI";
    //    public static final String CONNECTION_TYPE = "KAUSHAL_NEW";
//    public static final String CONNECTION_TYPE = "SAJAN_NEW";
    public static final boolean ENABLE_DATEPICKER = false;

    public static String tempDispatchDate = "";

    public static boolean isNewRetailer = false;
    public static final String IS_NEW_RETAILER = "isnewretailer";

    public static final String verficationPassword = "Upload5527";


    public static final String ISDOWNLOADED = "ISDOWNLOADED";
    public static final String APP_VERSION = "APP_VERSION";

    public static final int CHARACTER_12 = 12;
    public static final String SELL_TO_FARMER = "SELL_TO_FARMER";


    public static final String selected_theme = "selected_theme";
    public static final String SAVED_COLOR = "saved_color";
    public static  int ZOOM_ENABLE = 0;
    public static final String  SCMD = "scm";

   /* public static final String dont_show_receive = "dont_show_receive";
    public static final String dont_show_sellToretailer = "dont_show_sellToretailer";
    public static final String dont_show_receive_temp = "dont_show_receive_temp";
    public static final String dont_show_sellToretailer_temp = "dont_show_sellToretailer_temp";*/

}
